CHMEM(8)

BEZEICHNUNG
chmem - Speicher konfigurieren

ÜBERSICHT

chmem [-h] [-V*] [-v] [-e|-d] [GRÖSSE|BEREICH -b BLOCKBEREICH] [-z ZONE]

BESCHREIBUNG

Der Befehl »chmem« setzt eine bestimmte Speichergröße oder einen bestimmten Speicherbereich online oder offline.

    • Geben Sie die GRÖẞE als <Größe>[m|M|g|G] an. Mit m oder M gibt die <Größe> die Speichergröße in MiB an (1024 x 1024 Byte). Mit g oder G gibt die <Größe> die Speichergröße in GiB an (1024 x 1024 x 1024 Byte). Die Standardeinheit ist MiB.

    • Geben Sie den BEREICH in der Form 0x<Beginn>-0x<Ende> an, wie in der Ausgabe des Befehls lsmem(1). <Beginn> ist die hexadezimale Adresse des ersten Bytes und <Ende> die hexadezimale Adresse des letzten Bytes im Speicherbereich.

    • Geben Sie den BLOCKBEREICH in der Form <Erste>-<Letzte> oder <Block> an, wie in der Ausgabe des Befehls lsmem(1). <Erste> ist die Nummer des ersten Speicherblocks und <Letzte> die Nummer des letzten Speicherblocks im Speicherbereich. Alternativ kann ein einzelner Block angegeben werden. BLOCKBEREICH erfordert die Option --blocks.

    • Geben Sie ZONE als Name des Speicherbereichs an, wie in der Ausgabe des Befehls lsmem -o +ZONEN. Die Ausgabe zeigt eine oder mehrere zulässige Speicherzonen für jeden Speicherbereich an. Wenn mehrere Zonen angezeigt werden, dann bezieht sich der aktuelle Speicherbereich auf die erste Zone. Standardmäßig setzt chmem den Speicher in der Zone »Movable« online, sofern sich diese unter den zulässigen Zonen befindet. Diese Standardeinstellung kann mit der Option --zone in eine andere zulässige Zone geändert werden. Für »Memory Ballooning« (Rückforderung ungenutzten virtuellen Speichers vom Gast durch das Wirtssystem in Virtualisierungen) wird empfohlen, die Zone »Movable« für Online- und Offline-Speicher falls möglich auszuwählen. Für den Speicher in diesem Bereich ist es sehr wahrscheinlich, dass er wieder offline gesetzt werden kann, aber er kann nicht für willkürliche Zuweisungen durch den Kernel genutzt werden, sondern nur für migrierbare Seiten (zum Beispiel anonyme Seiten oder jene aus dem Seiten-Zwischenspeicher). Mit der Option --help erhalten Sie eine Übersicht aller verfügbaren Zonen.

GRÖSSE und BEREICH müssen an der Linux-Speicherblockgröße ausgerichtet sein, wie in der Ausgabe des Befehls lsmem(1) gezeigt.

Das Versetzen des Speichers in den Online-Zustand kann aus verschiedenen Gründen fehlschlagen. Auf virtualisierten Systemen ist es möglich, dass der Hypervisor nicht über ausreichend Speicher verfügt, zum Beispiel weil der Speicher überzogen (»overcommitted«) wurde. Das Versetzen in den Offline-Zustand kann ebenso fehlschlagen, wenn Linux den Speicher nicht freisetzen kann. Falls nur Teile des angeforderten Speichers online oder offline gesetzt werden können, informiert Sie eine Meldung darüber, wie viel Speicher im Gegensatz zu der angeforderten Menge online oder offline gesetzt werden konnte.

Wenn Speicher online gesetzt wird, beginnt chmem bei den Speicherblöcken mit den niedrigsten Nummern. Wenn Speicher offline gesetzt wird, beginnt chmem bei den Speicherblöcken mit den höchsten Nummern.

OPTIONEN

-b, --blocks
    verwendet für die Optionen --enable und --disable einen BLOCKBEREICH-Parameter anstelle von BEREICH oder GRÖSSE .

-d, --disable
    setzt den angegebenen BEREICH, die GRÖSSE oder den BLOCKBEREICH des Speichers offline.

-e, --enable
    setzt den angegebenen BEREICH, die GRÖSSE oder den BLOCKBEREICH des Speichers online.

-z, --zone
    wählt die Speicher-ZONE, in welcher der angegebene BEREICH, die GRÖSSE oder der BLOCKBEREICH des Speichers online oder offline gesetzt werden soll. Standardmäßig wird der Speicher in der Zone »Movable« online gesetzt, falls möglich.

-v, --verbose
    aktiviert den ausführlichen Modus. Dadurch wird chmem veranlasst, Fehlerdiagnosemeldungen über dessen Fortschritt auszugeben.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt die Versionsnummer an und beendet das Programm.

EXIT-STATUS

chmem gibt die folgenden Exit-Status-Werte aus:

0
    Erfolg

1
    Fehlschlag

64
    Teilerfolg

BEISPIEL

chmem --enable 1024
    Dieser Befehl fordert die Online-Setzung von 1024 MiB Speicher an.

chmem -e 2g
    Dieser Befehl fordert die Online-Setzung von 2 GiB Speicher an.

chmem --disable 0x00000000e4000000-0x00000000f3ffffff
    Dieser Befehl veranlasst, den Speicherbereich beginnend mit 0x00000000e4000000 und endend mit 0x00000000f3ffffff offline zu setzen.

chmem -b -d 10
    Dieser Befehl veranlasst, den Speicherblock mit der Nummer 10 offline zu setzen.

SIEHE AUCH

lsmem(1)

FEHLER MELDEN

Verwenden Sie zum Melden von Fehlern das Fehlererfassungssystem auf

VERFÜGBARKEIT

Der Befehl chmem ist Teil des Pakets util-linux, welches heruntergeladen werden kann von:

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).